unit frmHelp;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls,
  Vcl.Imaging.pngimage, Vcl.ComCtrls;

type
  TFrame2 = class(TFrame)
    Image1: TImage;
    Label3: TLabel;
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    Image2: TImage;
    Shape1: TShape;
    procedure Timer1Timer(Sender: TObject);
    procedure FrameClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;

implementation

{$R *.dfm}

uses
  ShellAnimations;


{ TFrame2 }

constructor TFrame2.Create(AOwner: TComponent);
var
  lFormImage: TBitmap;
begin
  inherited;

  if not (AOwner is TCustomForm) then
    exit;
  lFormImage := (AOwner as TCustomForm).GetFormImage;
  try
    Image1.Picture.Assign(lFormImage);
  finally
    lFormImage.Free;
  end;
  Image1.Align := alClient;
  Parent := AOwner as TWinControl;
end;

procedure TFrame2.FrameClick(Sender: TObject);
begin
  Destroy;
end;

procedure TFrame2.Timer1Timer(Sender: TObject);
begin
  Label2.Visible := not Label2.Visible;
  Label5.Visible := not Label5.Visible;
  Label1.Visible := not Label1.Visible;
  Label3.Visible := not Label3.Visible;
end;

end.
